Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehbox.api.utils
Class QualityType

    java.lang.Object
      be.ehealth.businessconnector.ehbox.api.utils.QualityType

    public final class QualityType

extends Object

Class containing all the supported quality.

Field Summary
`static QualityType` | `AMBULANCE_RESCUER_NIHII`
`static QualityType` | `AMBULANCE_RESCUER_SSIN`
`static QualityType` | `APPLIED_PSYCH_BACHELOR_NIHII`
`static QualityType` | `APPLIED_PSYCH_BACHELOR_SSIN`
`static QualityType` | `AUDICIEN_NIHII`
`static QualityType` | `AUDICIEN_SSIN`
`static QualityType` | `AUDIOLOGIST_NIHII`
`static QualityType` | `AUDIOLOGIST_SSIN`
`static QualityType` | `CITIZEN`
`static QualityType` | `CONSORTIUM_CBE`
`static QualityType` | `CTRL_ORGANISM_EHP`
`static QualityType` | `DENTIST_NIHII`
`static QualityType` | `DENTIST_SSIN`
`static QualityType` | `DIETICIAN_NIHII`
`static QualityType` | `DIETICIAN_SSIN`
`static QualityType` | `DOCTOR_NIHII`
`static QualityType` | `DOCTOR_SSIN`
`static QualityType` | `FAMILY_SCIENCE_BACHELOR_NIHII`
`static QualityType` | `FAMILY_SCIENCE_BACHELOR_SSIN`
`static QualityType` | `GENERAL_PRACTIONER_NIHII` Deprecated.
`static QualityType` | `GENERAL_PRACTIONER_SSIN` Deprecated.
`static QualityType` | `GERONTOLOGY_MASTER_NIHII`
`static QualityType` | `GERONTOLOGY_MASTER_SSIN`
`static QualityType` | `GROUP_DOCTORS_NIHII`
`static QualityType` | `GROUP_NIHII`
`static QualityType` | `GROUPOFNURSES_NIHII` Deprecated.
`static QualityType` | `GUARD_POST_NIHII`
`static QualityType` | `HOME_SERVICES_NIHII`
`static QualityType` | `HOSPITAL_NIHII`
`static QualityType` | `IMAGING_TECHNOLOGIST_NIHII`
`static QualityType` | `IMAGING_TECHNOLOGIST_SSIN`
`static QualityType` | `IMPLANTPROVIDER_NIHII`
`static QualityType` | `IMPLANTPROVIDER_SSIN`
`static QualityType` | `INSTITUTION_CBE`
`static QualityType` | `INSTITUTION_EHP_EHP`
`static QualityType` | `LAB_TECHNOLOGIST_NIHII`
`static QualityType` | `LAB_TECHNOLOGIST_SSIN`
`static QualityType` | `LABO_NIHII`
`static QualityType` | `LOGOPEDIST_NIHII`
`static QualityType` | `LOGOPEDIST_SSIN`
`static QualityType` | `MEDICAL_HOUSE_NIHII`
`static QualityType` | `MIDWIFE_NIHII`
`static QualityType` | `MIDWIFE_SSIN`
`static QualityType` | `NURSE_NIHII`
`static QualityType` | `NURSE_SSIN`
`static QualityType` | `OCCUPATIONAL_THERAPIST_NIHII`
`static QualityType` | `OCCUPATIONAL_THERAPIST_SSIN`
`static QualityType` | `OF_BAND_NIHII`
`static QualityType` | `OF_PHYSIOS_NIHII`
`static QualityType` | `OFFICE_DENTISTS_NIHII`
`static QualityType` | `OFFICE_DOCTORS_NIHII`
`static QualityType` | `OPTICIEN_NIHII`
`static QualityType` | `OPTICIEN_SSIN`
`static QualityType` | `ORTHOPEDAGOGIST_MASTER_NIHII`
`static QualityType` | `ORTHOPEDAGOGIST_MASTER_SSIN`
`static QualityType` | `ORTHOPEDIST_NIHII`
`static QualityType` | `ORTHOPEDIST_SSIN`
`static QualityType` | `ORTHOPTIST_NIHII`
`static QualityType` | `ORTHOPTIST_SSIN`
`static QualityType` | `OTD_PHARMACY_NIHII`
`static QualityType` | `PALLIATIVE_CARE_NIHII`
`static QualityType` | `PEDIATRIC_NURSE_NIHII`
`static QualityType` | `PEDIATRIC_NURSE_SSIN`
`static QualityType` | `PHARMACIST_ASSISTANT_NIHII`
`static QualityType` | `PHARMACIST_ASSISTANT_SSIN`
`static QualityType` | `PHARMACIST_NIHII`
`static QualityType` | `PHARMACIST_SSIN`
`static QualityType` | `PHARMACY_NIHII`
`static QualityType` | `PHYSIOTHERAPIST_NIHII`
`static QualityType` | `PHYSIOTHERAPIST_SSIN`
`static QualityType` | `PODOLOGIST_NIHII`
`static QualityType` | `PODOLOGIST_SSIN`
`static QualityType` | `PRACTICALNURSE_NIHII`
`static QualityType` | `PRACTICALNURSE_SSIN`
`static QualityType` | `PROT_ACC_NIHII`
`static QualityType` | `PSYCH_HOUSE_NIHII`
`static QualityType` | `PSYCHOLOGIST_NIHII`
`static QualityType` | `PSYCHOLOGIST_SSIN`
`static QualityType` | `PSYCHOMOTOR_THERAPY_NIHII`
`static QualityType` | `PSYCHOMOTOR_THERAPY_SSIN`
`static QualityType` | `READAPTATION_BACHELOR_NIHII`
`static QualityType` | `READAPTATION_BACHELOR_SSIN`
`static QualityType` | `RETIREMENT_NIHII`
`static QualityType` | `SOCIAL_WORKER_NIHII`
`static QualityType` | `SOCIAL_WORKER_SSIN`
`static QualityType` | `SPECIALIZED_EDUCATOR_NIHII`
`static QualityType` | `SPECIALIZED_EDUCATOR_SSIN`
`static QualityType` | `TREATMENT_CENTER_CBE`
`static QualityType` | `TRUSS_MAKER_NIHII`
`static QualityType` | `TRUSS_MAKER_SSIN`

Method Summary
`IdentifierType` | `getIdentifierType()`
`static QualityType` | `getInstance(String quality, IdentifierType type)` Method used for QualityType generation/instantiation.
`String` | `getQuality()`
`String` | `name()`
`static QualityType` | `valueOf(String key)`
`static QualityType` | `valueOf(String quality, String type)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AMBULANCE_RESCUER_NIHII

    public static final QualityType AMBULANCE_RESCUER_NIHII

### AMBULANCE_RESCUER_SSIN

    public static final QualityType AMBULANCE_RESCUER_SSIN

### APPLIED_PSYCH_BACHELOR_NIHII

    public static final QualityType APPLIED_PSYCH_BACHELOR_NIHII

### APPLIED_PSYCH_BACHELOR_SSIN

    public static final QualityType APPLIED_PSYCH_BACHELOR_SSIN

### AUDICIEN_NIHII

    public static final QualityType AUDICIEN_NIHII

### AUDICIEN_SSIN

    public static final QualityType AUDICIEN_SSIN

### AUDIOLOGIST_NIHII

    public static final QualityType AUDIOLOGIST_NIHII

### AUDIOLOGIST_SSIN

    public static final QualityType AUDIOLOGIST_SSIN

### CITIZEN

    public static final QualityType CITIZEN

### CONSORTIUM_CBE

    public static final QualityType CONSORTIUM_CBE

### CTRL_ORGANISM_EHP

    public static final QualityType CTRL_ORGANISM_EHP

### DENTIST_NIHII

    public static final QualityType DENTIST_NIHII

### DENTIST_SSIN

    public static final QualityType DENTIST_SSIN

### DIETICIAN_NIHII

    public static final QualityType DIETICIAN_NIHII

### DIETICIAN_SSIN

    public static final QualityType DIETICIAN_SSIN

### DOCTOR_NIHII

    public static final QualityType DOCTOR_NIHII

### DOCTOR_SSIN

    public static final QualityType DOCTOR_SSIN

### FAMILY_SCIENCE_BACHELOR_NIHII

    public static final QualityType FAMILY_SCIENCE_BACHELOR_NIHII

### FAMILY_SCIENCE_BACHELOR_SSIN

    public static final QualityType FAMILY_SCIENCE_BACHELOR_SSIN

### GERONTOLOGY_MASTER_NIHII

    public static final QualityType GERONTOLOGY_MASTER_NIHII

### GERONTOLOGY_MASTER_SSIN

    public static final QualityType GERONTOLOGY_MASTER_SSIN

### GROUP_NIHII

    public static final QualityType GROUP_NIHII

### GROUP_DOCTORS_NIHII

    public static final QualityType GROUP_DOCTORS_NIHII

### GUARD_POST_NIHII

    public static final QualityType GUARD_POST_NIHII

### HOME_SERVICES_NIHII

    public static final QualityType HOME_SERVICES_NIHII

### HOSPITAL_NIHII

    public static final QualityType HOSPITAL_NIHII

### IMAGING_TECHNOLOGIST_NIHII

    public static final QualityType IMAGING_TECHNOLOGIST_NIHII

### IMAGING_TECHNOLOGIST_SSIN

    public static final QualityType IMAGING_TECHNOLOGIST_SSIN

### IMPLANTPROVIDER_NIHII

    public static final QualityType IMPLANTPROVIDER_NIHII

### IMPLANTPROVIDER_SSIN

    public static final QualityType IMPLANTPROVIDER_SSIN

### INSTITUTION_CBE

    public static final QualityType INSTITUTION_CBE

### INSTITUTION_EHP_EHP

    public static final QualityType INSTITUTION_EHP_EHP

### LABO_NIHII

    public static final QualityType LABO_NIHII

### LAB_TECHNOLOGIST_NIHII

    public static final QualityType LAB_TECHNOLOGIST_NIHII

### LAB_TECHNOLOGIST_SSIN

    public static final QualityType LAB_TECHNOLOGIST_SSIN

### LOGOPEDIST_NIHII

    public static final QualityType LOGOPEDIST_NIHII

### LOGOPEDIST_SSIN

    public static final QualityType LOGOPEDIST_SSIN

### MEDICAL_HOUSE_NIHII

    public static final QualityType MEDICAL_HOUSE_NIHII

### MIDWIFE_NIHII

    public static final QualityType MIDWIFE_NIHII

### MIDWIFE_SSIN

    public static final QualityType MIDWIFE_SSIN

### NURSE_NIHII

    public static final QualityType NURSE_NIHII

### NURSE_SSIN

    public static final QualityType NURSE_SSIN

### OCCUPATIONAL_THERAPIST_NIHII

    public static final QualityType OCCUPATIONAL_THERAPIST_NIHII

### OCCUPATIONAL_THERAPIST_SSIN

    public static final QualityType OCCUPATIONAL_THERAPIST_SSIN

### OFFICE_DENTISTS_NIHII

    public static final QualityType OFFICE_DENTISTS_NIHII

### OFFICE_DOCTORS_NIHII

    public static final QualityType OFFICE_DOCTORS_NIHII

### OF_BAND_NIHII

    public static final QualityType OF_BAND_NIHII

### OF_PHYSIOS_NIHII

    public static final QualityType OF_PHYSIOS_NIHII

### OPTICIEN_NIHII

    public static final QualityType OPTICIEN_NIHII

### OPTICIEN_SSIN

    public static final QualityType OPTICIEN_SSIN

### ORTHOPEDAGOGIST_MASTER_NIHII

    public static final QualityType ORTHOPEDAGOGIST_MASTER_NIHII

### ORTHOPEDAGOGIST_MASTER_SSIN

    public static final QualityType ORTHOPEDAGOGIST_MASTER_SSIN

### ORTHOPEDIST_NIHII

    public static final QualityType ORTHOPEDIST_NIHII

### ORTHOPEDIST_SSIN

    public static final QualityType ORTHOPEDIST_SSIN

### ORTHOPTIST_NIHII

    public static final QualityType ORTHOPTIST_NIHII

### ORTHOPTIST_SSIN

    public static final QualityType ORTHOPTIST_SSIN

### OTD_PHARMACY_NIHII

    public static final QualityType OTD_PHARMACY_NIHII

### PALLIATIVE_CARE_NIHII

    public static final QualityType PALLIATIVE_CARE_NIHII

### PEDIATRIC_NURSE_NIHII

    public static final QualityType PEDIATRIC_NURSE_NIHII

### PEDIATRIC_NURSE_SSIN

    public static final QualityType PEDIATRIC_NURSE_SSIN

### PHARMACIST_NIHII

    public static final QualityType PHARMACIST_NIHII

### PHARMACIST_SSIN

    public static final QualityType PHARMACIST_SSIN

### PHARMACIST_ASSISTANT_NIHII

    public static final QualityType PHARMACIST_ASSISTANT_NIHII

### PHARMACIST_ASSISTANT_SSIN

    public static final QualityType PHARMACIST_ASSISTANT_SSIN

### PHARMACY_NIHII

    public static final QualityType PHARMACY_NIHII

### PHYSIOTHERAPIST_NIHII

    public static final QualityType PHYSIOTHERAPIST_NIHII

### PHYSIOTHERAPIST_SSIN

    public static final QualityType PHYSIOTHERAPIST_SSIN

### PODOLOGIST_NIHII

    public static final QualityType PODOLOGIST_NIHII

### PODOLOGIST_SSIN

    public static final QualityType PODOLOGIST_SSIN

### PRACTICALNURSE_NIHII

    public static final QualityType PRACTICALNURSE_NIHII

### PRACTICALNURSE_SSIN

    public static final QualityType PRACTICALNURSE_SSIN

### PROT_ACC_NIHII

    public static final QualityType PROT_ACC_NIHII

### PSYCHOLOGIST_NIHII

    public static final QualityType PSYCHOLOGIST_NIHII

### PSYCHOLOGIST_SSIN

    public static final QualityType PSYCHOLOGIST_SSIN

### PSYCHOMOTOR_THERAPY_NIHII

    public static final QualityType PSYCHOMOTOR_THERAPY_NIHII

### PSYCHOMOTOR_THERAPY_SSIN

    public static final QualityType PSYCHOMOTOR_THERAPY_SSIN

### PSYCH_HOUSE_NIHII

    public static final QualityType PSYCH_HOUSE_NIHII

### READAPTATION_BACHELOR_NIHII

    public static final QualityType READAPTATION_BACHELOR_NIHII

### READAPTATION_BACHELOR_SSIN

    public static final QualityType READAPTATION_BACHELOR_SSIN

### RETIREMENT_NIHII

    public static final QualityType RETIREMENT_NIHII

### SOCIAL_WORKER_NIHII

    public static final QualityType SOCIAL_WORKER_NIHII

### SOCIAL_WORKER_SSIN

    public static final QualityType SOCIAL_WORKER_SSIN

### SPECIALIZED_EDUCATOR_NIHII

    public static final QualityType SPECIALIZED_EDUCATOR_NIHII

### SPECIALIZED_EDUCATOR_SSIN

    public static final QualityType SPECIALIZED_EDUCATOR_SSIN

### TREATMENT_CENTER_CBE

    public static final QualityType TREATMENT_CENTER_CBE

### TRUSS_MAKER_NIHII

    public static final QualityType TRUSS_MAKER_NIHII

### TRUSS_MAKER_SSIN

    public static final QualityType TRUSS_MAKER_SSIN

### GENERAL_PRACTIONER_SSIN

    @Deprecated
    public static final QualityType GENERAL_PRACTIONER_SSIN

  Deprecated.

### GENERAL_PRACTIONER_NIHII

    @Deprecated
    public static final QualityType GENERAL_PRACTIONER_NIHII

  Deprecated.

### GROUPOFNURSES_NIHII

    @Deprecated
    public static final QualityType GROUPOFNURSES_NIHII

  Deprecated.

Method Detail

### getInstance

    public static QualityType getInstance(String quality,
                                          IdentifierType type)

  Method used for QualityType generation/instantiation. If a predefined quality exists this instance is returned, otherwise a new qualityType is created.

  Parameters:
    `quality` -
    `type` -
  Returns:
    the requested QualityType

### getQuality

    public String getQuality()

  Parameters:
    `target` -
  Returns:
    quality for the target

### getIdentifierType

    public IdentifierType getIdentifierType()

  Returns:
    IdentifierTypeHelper

### name

    public String name()

### valueOf

    public static QualityType valueOf(String key)

### valueOf

    public static QualityType valueOf(String quality,
                                      String type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.